Skip to content
Insy
For developers
Esc
navigateopen⌘Jpreview

Join a telegram community using an external ID

GET/membership/join-telegram-community-external/{externalId}
Authorization
AuthorizationBearer token (API Key) · headerrequired
API Key for programmatic access (format: insy_xxxxx)
Path parameters
externalIdstringrequired
Responses
200Successful response
successbooleanrequired
Whether the request was successful
errorCodestringrequired
The error code returned by the request
Allowed:not_foundbad_requestalready_existsunauthorizedforbiddeninternal_server_errorservice_unavailabletimeoutconflictprecondition_failedunprocessable_entity
messagestringrequired
The message returned by the request
dataJoinTelegramCommunityResponseDto
Show properties
linkstringrequired
The link to join the telegram community
expiresAtstring<date-time>required
The expiration date of the telegram invite link
401Invalid, expired, or revoked API key
403Insufficient API key permissions
Try it
Server
Authorization
Parameters
Request
curl -X GET "https://api.insy.io/membership/join-telegram-community-external/string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "success": true,
  "errorCode": "not_found",
  "message": "Success",
  "data": {
    "link": "https://telegram.me/joinchat/123e4567-e89b-12d3-a456-426614174000",
    "expiresAt": "2025-11-11T12:00:00Z"
  }
}